SystemOrganization addCategory: #'MudTalk-Tests'!
SystemOrganization addCategory: #MudTalk!

TestCase subclass: #MudServerTests
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MudTalk-Tests'!

!MudServerTests methodsFor: 'tests' stamp: 'AlexanderSvyazin 10/16/2012 23:22'!
testStartStop
	|server|
	server := MudServer new.
	server start.
	self should: [server isStarted].
	self shouldnt: [server isStopped].
	server stop.
	self should: [server isStopped].
	self shouldnt: [server isStarted].! !

!MudServerTests methodsFor: 'tests' stamp: 'AlexanderSvyazin 10/12/2012 23:20'!
testState
	|server|
	server := MudServer new.
	self should: [server isStopped].
	self shouldnt: [server isStarted].! !

Object subclass: #MudServer
	instanceVariableNames: 'started'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MudTalk'!

!MudServer methodsFor: 'initialize-release' stamp: 'AlexanderSvyazin 10/12/2012 23:23'!
initialize
	started := false.! !

!MudServer methodsFor: 'state' stamp: 'AlexanderSvyazin 10/12/2012 23:23'!
isStarted
	^ started.! !

!MudServer methodsFor: 'state' stamp: 'AlexanderSvyazin 10/12/2012 23:21'!
isStopped
	^ started not.! !

!MudServer methodsFor: 'start-stop' stamp: 'AlexanderSvyazin 10/12/2012 23:32'!
start
	started := true.! !

!MudServer methodsFor: 'start-stop' stamp: 'AlexanderSvyazin 10/12/2012 23:33'!
stop
	started := false.! !
